Bug 1822723 - Disable idle time detection
Summary: Disable idle time detection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: boinc-client
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-09 17:30 UTC by Germano Massullo
Modified: 2020-05-10 00:59 UTC (History)
4 users (show)

Fixed In Version: boinc-client-7.16.6-3.fc32 boinc-client-7.16.6-3.fc30 boinc-client-7.16.6-3.fc31 boinc-client-7.16.6-3.el8 boinc-client-7.16.6-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-01 04:06:10 UTC
Type: Bug


Attachments (Terms of Use)
first prototype (8.19 KB, patch)
2020-04-12 08:54 UTC, Germano Massullo
no flags Details | Diff
final patch (12.46 KB, patch)
2020-04-23 16:18 UTC, Germano Massullo
no flags Details | Diff

Description Germano Massullo 2020-04-09 17:30:06 UTC
Personal reminder.
disabled_idle_detection.patch no longer works on 7.16.6 due changes in client/hostinfo_unix.cpp so the patch has to be updated.
By the way non patched 7.16.6 seems to run fine wihout triggering SELinux alerts

Comment 1 Germano Massullo 2020-04-12 08:54:14 UTC
Created attachment 1678199 [details]
first prototype

> By the way non patched 7.16.6 seems to run fine wihout triggering SELinux alerts
I was wrong, the SELinux logs were full of
type=AVC msg=audit(1586642413.741:2282822): avc: denied { name_connect } for pid=236242 comm="boinc" dest=6005 scontext=system_u:system_r:boinc_t:s0 tcontext=system_u:object_r:xserver_port_t:s0 tclass=tcp_socket permissive=0
This first prototype of patch fixes that. Before submitting it to testing repositories I will do other tests in next days

Comment 2 Germano Massullo 2020-04-14 17:13:13 UTC
Unpatched BOINC is always running when "suspend when computer is in use" preference is enabled.
Patched BOINC is always NOT running when "suspend when computer is in use" preference is enabled. BOINC Manager shows "system in use" on working units status.
The former behaviour is preferred, since if user is not aware of "user idle time detection" not working, he will never have a system running calculus since he would expect the computer to run while he is not using it.
I have to improve this side of the patch

Comment 3 Germano Massullo 2020-04-23 16:18:03 UTC
Created attachment 1681190 [details]
final patch

This patch solved the problem.
I am going to release related updates

Comment 4 Fedora Update System 2020-04-23 16:43:01 UTC
FEDORA-2020-64b43a4770 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-64b43a4770

Comment 5 Fedora Update System 2020-04-23 16:43:02 UTC
FEDORA-2020-5acf721146 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5acf721146

Comment 6 Fedora Update System 2020-04-23 16:43:03 UTC
FEDORA-2020-ec3cc5e258 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ec3cc5e258

Comment 7 Fedora Update System 2020-04-23 16:43:04 UTC
FEDORA-EPEL-2020-78fe365995 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-78fe365995

Comment 8 Fedora Update System 2020-04-23 20:46:20 UTC
FEDORA-2020-64b43a4770 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-64b43a4770`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-64b43a4770

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-25 03:05:27 UTC
FEDORA-EPEL-2020-78fe365995 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-78fe365995

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-04-25 03:19:44 UTC
FEDORA-EPEL-2020-242fe041dd has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-242fe041dd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-04-25 04:18:47 UTC
FEDORA-2020-ec3cc5e258 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ec3cc5e258`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ec3cc5e258

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-04-25 04:55:24 UTC
FEDORA-2020-5acf721146 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5acf721146`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5acf721146

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-05-01 04:06:10 UTC
FEDORA-2020-64b43a4770 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-05-03 04:40:38 UTC
FEDORA-2020-5acf721146 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-05-03 04:53:44 UTC
FEDORA-2020-ec3cc5e258 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-05-10 00:36:35 UTC
FEDORA-EPEL-2020-78fe365995 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-05-10 00:59:18 UTC
FEDORA-EPEL-2020-242fe041dd has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.